    /*
     *  call-seq:
     *     index_reader.has_deletions? -> bool
     *
     *  Return true if the index has any deletions, either uncommitted by this
     *  IndexReader or committed by any other IndexReader.
     */
    static VALUE
    frb_ir_has_deletions(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return ir->has_deletions(ir) ? Qtrue : Qfalse;
    }